Subject: Re: [bug#34020] [PATCH 0/2] Re-purpose '--verbosity' to something useful

From: Ludovic Courtès <[email-masked]>
Date: Fri, 11 Jan 2019 12:15:41 +0100

Hi,

Mike Gerwitz <[email-masked]> skribis:

> On Wed, Jan 09, 2019 at 14:31:45 +0100, Ludovic Courtès wrote:
>> These patches re-purposes ‘--verbosity’ so that it better matches
>> user expectations.  The previous ‘--verbosity’ option, which is
>> about the daemon’s debugging output, is renamed to ‘--debug’.
>> In addition, ‘--verbosity’ now has a shorthand ‘-v’.
>>
>> Most commands that build stuff support -v/--verbosity so users can
>> easily override the default verbosity level.
>>
>> Thoughts?
>
> (Just having looked at the patches, without actually trying it out.)
>
> This is much better, thank you!  I was confused by the previous behavior.

Thanks for your feedback, pushed now!

I’ve also adjust ‘guix archive’, which I had forgotten in the patch I
sent.

Ludo’.